net.sf.jasperreports.functions.annotations

## Class FunctionBean

- java.lang.Object
- - net.sf.jasperreports.functions.annotations.FunctionBean

-     public class FunctionBean
      extends java.lang.Object

  Version:
    $Id: FunctionBean.java 6184 2013-05-27 10:24:51Z shertage $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FunctionBean(java.lang.String id, java.lang.String name, java.lang.String description, java.lang.Class<?> returnType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addParameter(FunctionParameterBean parameter)`
    `java.lang.String` | `getDescription()`
    `java.lang.String` | `getId()`
    `java.lang.String` | `getName()`
    `java.util.List<FunctionParameterBean>` | `getParameters()`
    `java.lang.Class<?>` | `getReturnType()`
    `void` | `setDescription(java.lang.String description)`
    `void` | `setId(java.lang.String id)`
    `void` | `setName(java.lang.String name)`
    `void` | `setReturnType(java.lang.Class<?> returnType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FunctionBean

          public FunctionBean(java.lang.String id,
                      java.lang.String name,
                      java.lang.String description,
                      java.lang.Class<?> returnType)

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

    - #### setId

          public void setId(java.lang.String id)

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName(java.lang.String name)

    - #### getDescription

          public java.lang.String getDescription()

    - #### setDescription

          public void setDescription(java.lang.String description)

    - #### getParameters

          public java.util.List<FunctionParameterBean> getParameters()

    - #### addParameter

          public void addParameter(FunctionParameterBean parameter)

    - #### getReturnType

          public java.lang.Class<?> getReturnType()

    - #### setReturnType

          public void setReturnType(java.lang.Class<?> returnType)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com